How to install react-navigation?

#1

The question might be silly but i cant get react-native to install in expo … npm removes 700 or so files and kills the project. How can i do that ?
Thanks !

0 Likes

#2

What version of npm are you running? I know several issues have been raised by people using npm5. If you are running 5, it may be best to drop down and installing again.

0 Likes

#3

yup I am, would you recommend 4.5 ?

0 Likes

#4

This was happening to me all day yesterday and I was pulling my hair out. I switched to using yarn instead of npm. I haven’t had any issues since.

0 Likes

#5

Ok that did the trick ! Thanks :slight_smile:

0 Likes